Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.clustering
Class ClusteredObservationBus.Listener

    java.lang.Object
      org.modeshape.clustering.ClusteredObservationBus.Listener

All Implemented Interfaces:
  org.jgroups.ChannelListener

Enclosing class:
  ClusteredObservationBus

    protected class ClusteredObservationBus.Listener

extends Object
implements org.jgroups.ChannelListener

Constructor Summary
`protected` | `ClusteredObservationBus.Listener()`

Method Summary
`void` | `channelClosed(org.jgroups.Channel channel)`
`void` | `channelConnected(org.jgroups.Channel channel)`
`void` | `channelDisconnected(org.jgroups.Channel channel)`
`void` | `channelReconnected(org.jgroups.Address addr)`
`void` | `channelShunned()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClusteredObservationBus.Listener

    protected ClusteredObservationBus.Listener()

Method Detail

### channelClosed

    public void channelClosed(org.jgroups.Channel channel)

  Specified by:
    `channelClosed` in interface `org.jgroups.ChannelListener`
  See Also:
    `ChannelListener.channelClosed(org.jgroups.Channel)`

### channelConnected

    public void channelConnected(org.jgroups.Channel channel)

  Specified by:
    `channelConnected` in interface `org.jgroups.ChannelListener`
  See Also:
    `ChannelListener.channelConnected(org.jgroups.Channel)`

### channelDisconnected

    public void channelDisconnected(org.jgroups.Channel channel)

  Specified by:
    `channelDisconnected` in interface `org.jgroups.ChannelListener`
  See Also:
    `ChannelListener.channelDisconnected(org.jgroups.Channel)`

### channelReconnected

    public void channelReconnected(org.jgroups.Address addr)

  Specified by:
    `channelReconnected` in interface `org.jgroups.ChannelListener`
  See Also:
    `ChannelListener.channelReconnected(org.jgroups.Address)`

### channelShunned

    public void channelShunned()

  Specified by:
    `channelShunned` in interface `org.jgroups.ChannelListener`
  See Also:
    `ChannelListener.channelShunned()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.